﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace M3dNamespace
{
    /// Author: Dennis Lang - 2009
    /// http://home.comcast.net/~lang.dennis/
    /// 
    /// Simple dialog to display help information.
    /// 
    public partial class HelpForm : Form
    {
        public HelpForm()
        {
            InitializeComponent();
        }

        public string[] Message
        {
            set
            {
                this.listBox.Items.Clear();
                int cnt = value.Length;
                for (int idx = 0; idx < cnt; idx++)
                {
                    this.listBox.Items.Add(value[idx]);
                }
            }
        }

        public string Title
        {
            set { this.titleBox.Text = value; }
        }

        private void closeBtn_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
    }
}
