﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace M3dNamespace
{
    static class Program
    {
        /// <summary>
        /// Author: Dennis Lang - 2009
        /// http://home.comcast.net/~lang.dennis/
        /// 
        /// Desc:  Simple X-3d model viewer
        /// 
        /// Features:
        ///   Supports loading and saving of 3D X-files.
        ///   Uses both on-screen and off-screen D3d rendering
        ///   Uses delagets to control various D3d rendering pipeline
        ///   Built-in HSL/RGB color selector
        ///   Built-in D3d render settings browse/set
        ///   Save/Restore settings to/from registry
        /// 
        /// 
        /// </summary>
        [STAThread]
        static void Main(string[] cmdLineArgs)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Main(cmdLineArgs));
        }
    }
}
